.container {
  position: absolute;
  left: 0;
  top: 0;
  display: none;
  width: 100%;
  height: 100%;
  z-index: 9999999;
}

.container > aside {
  display: flex;
  flex-direction: column;
  width: 50%;
  padding: 4px 4px;
  background-color: white;
  gap: 3px;

  transition: all 0.2s ease-out;
}

.container > aside > button {
  width: 100%;
  height: 52px;
  background-color: var(--blue-500);
  color: white;
  font-weight: 500;
}

.open {
  background-color: rgba(0, 0, 0, 0.6);
  position: fixed;
  display: flex;
  animation: openContainer 0.2s ease-out;
}

.open > aside {
  animation: openAside 0.2s ease-out;
}

@keyframes openContainer {
  0% {
    background-color: rgba(0, 0, 0, 0);
  }
  100% {
    background-color: rgba(0, 0, 0, 0.6);
  }
}

@keyframes openAside {
  0% {
    transform: translateX(-100%);
  }
  100% {
    transform: translateX(0);
  }
}
